Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution
Class UtilTestSuite

    java.lang.Object
      javolution.testing.TestSuite
          javolution.UtilTestSuite

All Implemented Interfaces:
  java.lang.Runnable

    public final class UtilTestSuite

extends TestSuite

This class holds `javolution.util` benchmark.

Version:
  5.2, August 19, 2007
Author:
  Jean-Marie Dautelle

Nested Class Summary
`static class` | `UtilTestSuite.ArrayListDirectIteration`
`static class` | `UtilTestSuite.CollectionAdd`
`static class` | `UtilTestSuite.CollectionIteration`
`static class` | `UtilTestSuite.FastListDirectIteration`
`static class` | `UtilTestSuite.FastMapDirectIteration`
`static class` | `UtilTestSuite.FastTableDirectIteration`
`static class` | `UtilTestSuite.MapGet`
`static class` | `UtilTestSuite.MapIteration`
`static class` | `UtilTestSuite.MapPut`
`static class` | `UtilTestSuite.MapRemove`

Field Summary
`static Configurable<java.lang.Integer>` | `SIZE`

Constructor Summary
`UtilTestSuite()`

Method Summary
`void` | `run()` Runs this test suite.

Methods inherited from class javolution.testing.TestSuite
`getDescription, getTestCases, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final Configurable<java.lang.Integer> SIZE

Constructor Detail

### UtilTestSuite

    public UtilTestSuite()

Method Detail

### run

    public void run()

  Description copied from class: `TestSuite`
  Runs this test suite.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `TestSuite`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.2 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2007 Javolution.